> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Documentation updates for July 11, 2025

As part of an ongoing effort to better align the documentation with the API, we've updated several API references. These changes affect the documentation only. The API itself hasn't changed.

## **MoneyIn API response schema updates**

We've overhauled all MoneyIn API response schemas to align with what's returned by the API. Key changes include:

* **Field casing consistency**: Aligned field casing across all response objects
* **Required vs optional fields**: Updated responses to appropriately mark which fields will always return a value (required) vs those that can return null to match actual API responses.

## **Affected endpoints**

The following MoneyIn endpoints have updated documentation:

* **/MoneyIn/authorize** - Response field casing corrections
* **/MoneyIn/capture** - New specific response type with corrected field names
* **/MoneyIn/getpaid** - New specific response type with updated examples
* **/MoneyIn/validate** - Updated request requirements and response structure with corrected field names
* **/MoneyIn/void/** - New specific response type with corrected field names
* **/MoneyIn/reverse/** - Updated response structure with new `roomId` field
* **GET /MoneyIn/refund/** - Updated response structure with corrected field names and casing fix for `pageidentifier`
* **POST /MoneyIn/refund/** - Updated response structure with corrected field names and casing fix for `pageidentifier`

## **Request schema updates**

* **/MoneyIn/validate**: Added required fields `cardexp`, `cardzip`, and `cardHolder` to the payment method object, and made `entryPoint` required
* **Various endpoints**: Removed `cardcvv` requirement from validation requests where not needed

## **What this means for you**

Our API docs now match what the API returns. The examples have also been updated with realistic data that reflects actual API responses.